  
RetrievalProgress = (function () {
  var cls = function RetrievalProgress() {
      this.bytesRetrieved = new Number();
      this.totalBytesToRetrieve = new Number();
    };
  return cls;
}) ();
exports.RetrievalProgress = RetrievalProgress;


  
TransferProgress = (function () {
  var cls = function TransferProgress() {
      this.bytesSent = new Number();
      this.totalBytesToSend = new Number();
      this.bytesRetrieved = new Number();
      this.totalBytesToRetrieve = new Number();
    };
  return cls;
}) ();
exports.TransferProgress = TransferProgress;


ResourceCollection = (function () {
  var cls = function ResourceCollection() {
    this.accepts = new Object();
    this.categories = new Object();
    this.title = new Object();
    this.uri = new Object();
    this.nodeValue = new String();
    this.nodeNamespace = new String();
    this.nodeName = new String();
    this.language = new String();
    this.baseUri = new Object();
    this.attributeExtensions = new Object();
    this.elementExtensions = new Object();
  };
  

  cls.prototype.getXmlDocument = function getXmlDocument(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.ResourceCollection = ResourceCollection;

Workspace = (function () {
  var cls = function Workspace() {
    this.collections = new Object();
    this.title = new Object();
    this.nodeValue = new String();
    this.nodeNamespace = new String();
    this.nodeName = new String();
    this.language = new String();
    this.baseUri = new Object();
    this.attributeExtensions = new Object();
    this.elementExtensions = new Object();
  };
  

  cls.prototype.getXmlDocument = function getXmlDocument(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.Workspace = Workspace;

ServiceDocument = (function () {
  var cls = function ServiceDocument() {
    this.workspaces = new Object();
    this.nodeValue = new String();
    this.nodeNamespace = new String();
    this.nodeName = new String();
    this.language = new String();
    this.baseUri = new Object();
    this.attributeExtensions = new Object();
    this.elementExtensions = new Object();
  };
  

  cls.prototype.getXmlDocument = function getXmlDocument(format) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="format" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.ServiceDocument = ServiceDocument;

AtomPubClient = (function () {
  var cls = function AtomPubClient() {
    this.timeout = new Number();
    this.serverCredential = new Object();
    this.proxyCredential = new Object();
    this.maxResponseBufferSize = new Number();
    this.bypassCacheOnRetrieve = new Boolean();
  };
  
var cls = function AtomPubClient(serverCredential) {
      this.timeout = new Number();
      this.serverCredential = new Object();
      this.proxyCredential = new Object();
      this.maxResponseBufferSize = new Number();
      this.bypassCacheOnRetrieve = new Boolean();
};


  cls.prototype.retrieveServiceDocumentAsync = function retrieveServiceDocumentAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.retrieveMediaResourceAsync = function retrieveMediaResourceAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.retrieveResourceAsync = function retrieveResourceAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.createResourceAsync = function createResourceAsync(uri, description, item, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="description" type="String">A param.</param>
    /// <param name="item" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.createMediaResourceAsync = function createMediaResourceAsync(uri, mediaType, description, mediaStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="mediaType" type="String">A param.</param>
    /// <param name="description" type="String">A param.</param>
    /// <param name="mediaStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.updateMediaResourceAsync = function updateMediaResourceAsync(uri, mediaType, mediaStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="mediaType" type="String">A param.</param>
    /// <param name="mediaStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.updateResourceAsync = function updateResourceAsync(uri, item, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="item" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.updateResourceItemAsync = function updateResourceItemAsync(item, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="item" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.deleteResourceAsync = function deleteResourceAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.deleteResourceItemAsync = function deleteResourceItemAsync(item, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="item" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.retrieveFeedAsync = function retrieveFeedAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.cancelAsyncOperations = function cancelAsyncOperations() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.setRequestHeader = function setRequestHeader(name, value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <param name="value" type="String">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.AtomPubClient = AtomPubClient;

